Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: ATI Radeon 3200 & Ubuntu 8.0.4  (gelezen 1425 keer)

Offline DroKZ

  • Lid
  • Steunpunt: Nee
ATI Radeon 3200 & Ubuntu 8.0.4
« Gepost op: 2009/03/18, 16:39:22 »
Hallo Allen,

Sinds een tijd ben ik in het bezit van een Fujitsu Siemens Amilo laptop.
Prachtig ding en werkte toppie!

Vanaf het begin af aan draaide ik hier al eAR-OS (Ubuntu/Debian) en windows op.
Vorige week bedacht ik me dat het waarschijnlijk een goed plan zou zijn om te updaten naar 8.10.
Dit bleek echter totaal niet te werken.
Na veel moeite weer teruggegaan naar 8.0.4. Ook deze heb ik weer kapot gekregen (vraag me niet hoe)

Nou goed. Weer opnieuw alles erop gezet. Vanaf dat moment kreeg ik problemen met de nieuwste kernel.
Kernel 2.6.24.19-rt draait hier nu en deze werkt goed.

Maar voordat mijn systeem crashte draaide opengl perfect.
Ik kon lekker gamen zonder problemen.
Na de update draaide openGL ook nog maar kreeg ik vrij veel segmentation faults in games.
Eerst dacht ik dat dit aan de spellen lag.
glxinfo vertelde me dat direct rendering: yes was.
Prima lijkt me.

fglrxinfo gaf de volgende melding:
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3200 Graphics
OpenGL version string: 2.1.7659 Release

Segmentation fault

Met mijn domme kop dacht ik dat ik dit wel zou kunnen oplossen door simpelweg de ATI drivers van mijn kaart
van de ATI site te halen en deze te installeren.

Helaas..
fgl_glxgears zegt alleen nog: Using GLX_SGIX_pbuffer
fglrxinfo zegt niets meer
en glxinfo zegt alleen: name of display: : 0.0

Iemand enig idee hoe ik mijn videokaart weer goed kan installeren?
Het gaat hier om een ATI Radeon 3200 kaart (64mb).

Hierbij trouwens nog het stukje uit mijn xorg.conf:
Section "Device"
       Identifier      "Configured Video Device"
       Option          "VideoOverlay"  "on"
       Option          "OpenGLOverlay" "off"
       Driver          "fglrx"
EndSection

Alvast bedankt

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #1 Gepost op: 2009/03/18, 18:51:27 »
Ik heb zelf een nvidia kaart, maar zoek eens op envyng in Synaptic.

Met vriendelijke groet,

Gijs
In der Beschränkung zeigt sich der Meister.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #2 Gepost op: 2009/03/18, 19:36:51 »
Open de terminal en tik in:
gksudo displayconfig-gtkJe wachtwoord zal gevraagd worden. Hiermee kan je je scherm, resolutie, kaart, driver enz.. instellen.
Er zijn drie drivers voor de ATI kaarten beschikbaar.

Segmentation fault, zie:
http://en.wikipedia.org/wiki/Segmentation_fault

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #3 Gepost op: 2009/03/18, 19:41:47 »
Ik heb zelf een nvidia kaart, maar zoek eens op envyng in Synaptic.

Met vriendelijke groet,

Gijs

Hoi Gijs,

Envyng staat erop.
Deze installeerd wel drivers maar niet de juiste.

Open de terminal en tik in:
gksudo displayconfig-gtkJe wachtwoord zal gevraagd worden. Hiermee kan je je scherm, resolutie, kaart, driver enz.. instellen.

Segmentation fault, zie:
http://en.wikipedia.org/wiki/Segmentation_fault

Mijn driver staat hier op fglrx.
Ik heb geen flauw idee of dit goed is.
Helaas werkt de test functie ook hier niet in (allemaal errors in terminal)

[edit] Net even de driver fglrx op Radeon (fglrx) gezet en gereboot.
De driver werd standaard weer teruggezet op fglrx.

Zelf heb ik iets gelezen dat met de laatste update van de ATI drivers diverse kaarten niet meer ondersteund werden..
Toch alvast bedankt beiden :)

GRtz
Jos
« Laatst bewerkt op: 2009/03/18, 19:55:31 door DroKZ »

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #4 Gepost op: 2009/03/18, 19:46:16 »
De fglrx werkt voor mijn kaart ook niet (Asus A 9250 is een ati).
En raar dat displayconfig-gtk niet werkt.
Deinstalleer eens die fglrx driver en herstart je computer. En probeer het dan eens opnieuw.
Als er in Systeem/Beheer/HardwareDrivers niets staat dan best ook niets anders installeren.

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #5 Gepost op: 2009/03/18, 20:04:25 »
De fglrx werkt voor mijn kaart ook niet (Asus A 9250 is een ati).
En raar dat displayconfig-gtk niet werkt.
Deinstalleer eens die fglrx driver en herstart je computer. En probeer het dan eens opnieuw.
Als er in Systeem/Beheer/HardwareDrivers niets staat dan best ook niets anders installeren.


Hier staat
ATI accelerated graphic drivers
Enabled is niet aangevinkt (als ik deze aanvink krijg ik nog steeds problemen)
Status is wel in use.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #6 Gepost op: 2009/03/18, 20:06:53 »
Eens uitloggen en weer inloggen, helpt dat? (wel aangvinkt zetten die driver)

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #7 Gepost op: 2009/03/18, 20:15:24 »
Eens uitloggen en weer inloggen, helpt dat? (wel aangvinkt zetten die driver)


In beeld zag ik dit: (gewoon ter info :) )
Removing fglrx-amdcccle-envy
Removing fglrx-control-envy
Removing xorg-driver-fglrx-dev-envy
Removing xorg-driver-fglrx-envy

Na de reboot kreeg ik geen enkel beeld meer.
Dit heb ik opgelost door xfix in safe mode te laten draaien.

Alles ziet er nu weer ook een stuk "waziger" uit

Misschien ten overvloede en heeft het hier niets mee te maken.
Compiz draait wel helemaal top (eh.. tenminste.. voordat ik dit vinkje aanzette :) )
« Laatst bewerkt op: 2009/03/18, 20:18:47 door DroKZ »

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #8 Gepost op: 2009/03/18, 21:08:44 »
vinkje? van de driver of de visuele effekten?

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #9 Gepost op: 2009/03/18, 21:31:09 »
vinkje? van de driver of de visuele effekten?

Sorry voor de onduidelijkheid.
Vinkje van de driver.

Hierna opnieuw opgestart en toen werd alles wazig (zoals ik zei)
Dus ik heb weer een poging gedaan met envyng de drivers te installeren.
Dit wil nu ook niet meer lukken :/

[edit]
Bleeegh.
Net maar envy eraf gehaald.
glxgears doet het nu weer maar ik snap nu echt niet meer waar ik moet kijken
« Laatst bewerkt op: 2009/03/18, 22:08:38 door DroKZ »

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #10 Gepost op: 2009/03/18, 22:12:20 »
Sorry voor mijn dubbelpost. Weet dat het niet hoort maar om het een beetje overzichtelijk te houden:

root@drokz-laptop:/home/drokz# envyng -t


       +-------------------------------------------------+
       |                                                 |
       |             Welcome to EnvyNG 1.1.1             |
       |                                                 |
       |    Developed by Alberto Milone (aka tseliot)    |
       |                                                 |
       +-------------------------------------------------+


       +-----------------------------------------------------------+
       |    EnvyNG Menu ver.1.1.1                                  |
       |                                                           |
       |    1 - Install the NVIDIA driver                          |
       |                                                           |
       |    2 - Uninstall the NVIDIA driver                        |
       |                                                           |
       |    3 - Install the ATI driver                             |
       |                                                           |
       |    4 - Uninstall the ATI driver                           |
       |                                                           |
       |    5 - Install the ATI/NVIDIA driver Manually             |
       |                                                           |
       |    6 - Restart the Xserver                                |
       |                                                           |
       |    7 - Restart your computer                              |
       |                                                           |
       |    8 - Exit                                               |
       |                                                           |
       |    NOTE: IF THE SCREEN TURNS BLACK, PLEASE TYPE ALT+F1    |
       +-----------------------------------------------------------+
Please select one of the activities displayed above and press ENTER:

3
EnvyNG - Version 1.1.1
Ubuntu Hardy 32bit
Your graphic card has been detected as a ATI Radeon HD 3200 Graphics
Your graphic card is supported by the latest driver
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
EnvyNG: The following packages will be removed:
xorg-driver-fglrx

EnvyNG: attempting to remove the packages
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
EnvyNG: Updating the packages list
Hit http://wine.budgetdedicated.com hardy Release.gpg
Hit http://archive.ubuntu.com hardy Release.gpg                     
Hit http://archive.ubuntu.com hardy-updates Release.gpg                                   
Hit http://security.ubuntu.com hardy-security Release.gpg                                 
Hit http://wine.budgetdedicated.com hardy Release                   
Hit http://archive.ubuntu.com hardy Release                                             
Hit http://security.ubuntu.com hardy-security Release                                     
Ign http://wine.budgetdedicated.com hardy/main Packages                                   
Hit http://archive.ubuntu.com hardy-updates Release                                       
Hit http://wine.budgetdedicated.com hardy/main Packages                                                         
Hit http://security.ubuntu.com hardy-security/main Packages                                                     
Hit http://archive.ubuntu.com hardy/main Packages                   
Hit http://archive.ubuntu.com hardy/restricted Packages             
Hit http://archive.ubuntu.com hardy/main Sources                     
Hit http://security.ubuntu.com hardy-security/restricted Packages   
Hit http://security.ubuntu.com hardy-security/main Sources           
Hit http://security.ubuntu.com hardy-security/restricted Sources     
Hit http://archive.ubuntu.com hardy/restricted Sources               
Hit http://archive.ubuntu.com hardy/universe Packages               
Hit http://archive.ubuntu.com hardy/universe Sources                 
Hit http://archive.ubuntu.com hardy/multiverse Packages             
Hit http://archive.ubuntu.com hardy/multiverse Sources               
Hit http://packages.medibuntu.org hardy Release.gpg                 
Hit http://security.ubuntu.com hardy-security/universe Packages     
Hit http://security.ubuntu.com hardy-security/universe Sources
Hit http://security.ubuntu.com hardy-security/multiverse Packages
Hit http://security.ubuntu.com hardy-security/multiverse Sources
Hit http://archive.ubuntu.com hardy-updates/main Packages                     
Hit http://archive.ubuntu.com hardy-updates/restricted Packages               
Hit http://archive.ubuntu.com hardy-updates/main Sources                       
Hit http://archive.ubuntu.com hardy-updates/restricted Sources                 
Hit http://archive.ubuntu.com hardy-updates/universe Packages                 
Hit http://archive.ubuntu.com hardy-updates/universe Sources                   
Hit http://archive.ubuntu.com hardy-updates/multiverse Packages               
Hit http://archive.ubuntu.com hardy-updates/multiverse Sources                 
Hit http://packages.medibuntu.org hardy Release
Hit http://packages.medibuntu.org hardy/free Packages
Hit http://packages.medibuntu.org hardy/non-free Packages
Reading package lists... Done
EnvyNG: Ubuntu stock kernel detected (2.6.24-19-rt)

OK: All the packages are installed

OK: All the packages are installed
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
EnvyNG: The following packages are not installed:
fglrx-kernel-source-envy
xorg-driver-fglrx-envy
xorg-driver-fglrx-dev-envy
fglrx-control-envy
fglrx-amdcccle-envy

EnvyNG: attempting to install the packages
Reading package lists... Done
Building dependency tree       
Reading state information... Done
fglrx-kernel-source-envy is already the newest version.
The following NEW packages will be installed:
  fglrx-amdcccle-envy fglrx-control-envy xorg-driver-fglrx-dev-envy xorg-driver-fglrx-envy
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/16.3MB of archives.
After this operation, 44.4MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  xorg-driver-fglrx-envy fglrx-control-envy fglrx-amdcccle-envy xorg-driver-fglrx-dev-envy
Authentication warning overridden.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Selecting previously deselected package xorg-driver-fglrx-envy.
(Reading database ... 135633 files and directories currently installed.)
Unpacking xorg-driver-fglrx-envy (from .../xorg-driver-fglrx-envy_1%3a7.1.0-8-6+2.6.24.503-503.31_i386.deb) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Selecting previously deselected package fglrx-control-envy.
Unpacking fglrx-control-envy (from .../fglrx-control-envy_1%3a8-6+2.6.24.503-503.31_i386.deb) ...
Selecting previously deselected package fglrx-amdcccle-envy.
Unpacking fglrx-amdcccle-envy (from .../fglrx-amdcccle-envy_2.6.24.503-503.31_i386.deb) ...
Selecting previously deselected package xorg-driver-fglrx-dev-envy.
Unpacking xorg-driver-fglrx-dev-envy (from .../xorg-driver-fglrx-dev-envy_1%3a7.1.0-8-6+2.6.24.503-503.31_i386.deb) ...
Setting up xorg-driver-fglrx-envy (1:7.1.0-8-6+2.6.24.503-503.31) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_DK.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
 * Starting atieventsd                                                                                                [ OK ]

Setting up fglrx-control-envy (1:8-6+2.6.24.503-503.31) ...
Setting up fglrx-amdcccle-envy (2.6.24.503-503.31) ...
Setting up xorg-driver-fglrx-dev-envy (1:7.1.0-8-6+2.6.24.503-503.31) ...
('\nEnvyNG ERROR: The following packages cannot be installed:',)

Offline DroKZ

  • Lid
  • Steunpunt: Nee
Re: ATI Radeon 3200 & Ubuntu 8.0.4
« Reactie #11 Gepost op: 2009/03/19, 13:01:56 »
Triple post!

Vanochtend weer de hele tijd bezig geweest met vanalles en nog wat.
Uiteindelijk kwam ik hier weer uit:
http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide

$ sudo apt-get update
- werkte
$ sudo apt-get install linux-restricted-modules-generic restricted-manager
- deed het niet vanwege restricted-manager
$ sudo apt-get install xorg-driver-fglrx
- werkte
$ sudo depmod -a
- uuh dit ben ik vergeten.. :)

Hierna ook nog even een
aticonfig --initial -f gedaan.

Even een reboot gedaan.

Geen idee welk van de 2 zorgde voor de oplossing maar mijn resolutie is weer goed.
Direct Rendering doet het ook weer.. dus ik ben weer blij
Nu hopen dat openGL het ook weer doet.

Dus voor iedereen met een ATI Radeon 3200 kaartje en ubuntu 8.0.4
Hier kijken :)
http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide


Uuuh het werkte...
Totdat ik een benchmarktool ging installeren.
Hierna is alles weer kapot gegaan en krijg ik niets meer aan de praat. :(
« Laatst bewerkt op: 2009/03/19, 15:02:35 door DroKZ »